Package org.apache.sling.repoinit.parser.operations

# Enum PropertyLine.PropertyType

java.lang.Object
java.lang.Enum<PropertyLine.PropertyType>
org.apache.sling.repoinit.parser.operations.PropertyLine.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<PropertyLine.PropertyType>`

Enclosing class:
  PropertyLine

public static enum PropertyLine.PropertyType extends Enum<PropertyLine.PropertyType>
Valid types for these properties

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Boolean`
`Date`
`Double`
`Long`
`String`

## Method Summary

Modifier and Type
Method
Description
`static PropertyLine.PropertyType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PropertyLine.PropertyType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### String

public static final PropertyLine.PropertyType String

### Long

public static final PropertyLine.PropertyType Long

### Double

public static final PropertyLine.PropertyType Double

### Date

public static final PropertyLine.PropertyType Date

### Boolean

public static final PropertyLine.PropertyType Boolean

## Method Details

### values

public static PropertyLine.PropertyType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PropertyLine.PropertyType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null